Summary: Userspace DAT and DAPL API.

Name: libdapl
Version: 1.2.14
Release: alt0.M41.1

Packager: Stanislav Ievlev <inger@altlinux.org>

License: GPL/BSD/CPL
Group: System/Libraries

Source: http://openfabrics.org/~ardavis/dapl-%version.tar
Patch: dapl-1.2.14-alt-build.patch

Url: http://openfabrics.org/

BuildPreReq: librdmacm-devel >= 1.0.7-alt0.M41.1
Requires: librdmacm >= 1.0.7-alt0.M41.1


# Automatically added by buildreq on Fri Aug 24 2007
BuildRequires: gcc-c++ gcc-fortran librdmacm-devel libstdc++-devel-static

%description
Along with the OpenIB kernel drivers, libdat and libdapl provides a userspace
RDMA API that supports DAT 1.2 specification

%package devel
Summary: Development files for the libdat and libdapl libraries
Group: Development/C
Requires: %name = %version-%release libibverbs-devel librdmacm-devel

%description devel
Static libraries and header files for the libdat and libdapl library.

%package utils
Summary: Test suites for uDAPL library
Group: System/Base
Requires: %name = %version-%release

%description utils
Useful test suites to validate uDAPL library API's.

%prep
%setup -q -n dapl-%version
%patch -p2

%build
touch NEWS ChangeLog
%autoreconf
%configure
%make_build

%install
#_hackaround over broken author's mind
install -Dpm644 /dev/null %buildroot/%_sysconfdir/dat.conf
#_hackaround over broken automake mind
%make DESTDIR=%buildroot install-datlibLTLIBRARIES
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS README
%_libdir/*.so.*
%config(noreplace) %_sysconfdir/dat.conf
%_man5dir/*

%files devel
%_libdir/*.so
%_includedir/*

%files utils
%_bindir/*
%_man1dir/*

%changelog
* Fri Dec 18 2009 Stanislav Ievlev <inger@altlinux.org> 1.2.14-alt0.M41.1
- OFED-1.4.2

* Mon Oct 13 2008 Stanislav Ievlev <inger@altlinux.org> 1.2.7-alt0.M41.1
- build for 4.1

* Mon Oct 13 2008 Stanislav Ievlev <inger@altlinux.org> 1.2.7-alt1
- OFED-1.3.1

* Fri Aug 24 2007 Stanislav Ievlev <inger@altlinux.org> 1.2.1-alt1
- Initial build
